#!/bin/bash
. /etc/os-release
OS=$ID
PRODUCTNAME="phonebookmanager"
TMPDIR="/tmp/phonebookmanager"
INSTALLDIR="/usr/share/ombutel/www"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=2

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

#if phonebookmanager is already installed (but not using deb or rpm), assuming v2.0
if [ -d "$INSTALLDIR/$PRODUCTNAME" ]
then
    if [ ! -f "$IPCDIR/$PRODUCTNAME.ver" ]
    then
        echo "    -- Phonebook files already installed but without version file. Assuming v2.0"
        echo "2.0" > "$IPCDIR/$PRODUCTNAME.ver"
    fi
fi

exit